import 'package:flutter/material.dart';
import 'package:wowit/message.dart';

import 'model.dart';

class CoutryPhoneNumber {
  String countryCode = "";
  String phoneHeaderCode = "";
  List<String> listStartPhoneHeader = [];

  CoutryPhoneNumber(
      this.countryCode, this.phoneHeaderCode, this.listStartPhoneHeader);
}

class Common {
  static int uid = -1;
  static String deviceId;
  static String deviceName;
  static String uidPhone;
  static int languageId = 1;
  static Widget loadingView;
  static Color colorAppbar = Color(0xff2a367e);
  static Widget registerScreen;
  static Widget widgetNotificationInternet;
  static Map<String, Object> messageIdBackUp = {};
  static bool supperAdmin = false;
  static bool showKeyMessage = false;
  static bool canGetMessage = true;
  static bool autoCreateMessage = true;
  static bool notGetMessage = false;
  static const bool USE_ValidFirebase = false;

  // ignore: non_constant_identifier_names
  static String url_host = '';
  static const String FOLDER_IMAGE_UPLOAD = 'images/Upload';
  static const String DEFAULT_IMAGE_URL = 'images/default_image/default.jpg';
  static int fVersion;

  static Map<String, String> mapMessageData = {};
  static Map<String, List<KeyValue>> mapPicker = {};
  static Map<String, Map<int, RangeValue>> mapRange = {};
  static Map<String, String> mapImageURL = {};

  static void initWowIT(Map<String, String> messsageLabel, String host) {
    mapMessageData = messsageLabel;
    url_host = host;
    _tienDonVi.clear();
  }

  static List<CoutryPhoneNumber> listCoutryPhoneNumber = [
    new CoutryPhoneNumber("vn", "+84", [
      "096",
      "097",
      "098",
      "032",
      "033",
      "034",
      "035",
      "036",
      "037",
      "038",
      "039",
      "090",
      "093",
      "070",
      "071",
      "072",
      "076",
      "077",
      "078",
      "091",
      "094",
      "083",
      "084",
      "085",
      "087",
      "089",
      "099",
      "092",
      "056",
      "058",
      "095",
      "088",
    ])
  ];
  static List<String> _tienDonVi = [];
  static const List<double> tienSo = [
    1000000000000000.0,
    1000000000000.0,
    1000000000.0,
    1000000.0,
    1000.0,
    1
  ];

  static List<String> getTienDonVi(bool rutGon) {
    if (_tienDonVi.length == 0) {
      if (rutGon) {
        _tienDonVi = [
          Message.getMessage('DON_VI_TIEN_TRIEU_TY_RUT_GON'),
          Message.getMessage('DON_VI_TIEN_NGIN_TY_RUT_GON'),
          Message.getMessage('DON_VI_TIEN_TY_RUT_GON'),
          Message.getMessage('DON_VI_TIEN_TRIEU_RUT_GON'),
          Message.getMessage('DON_VI_TIEN_NGIN_RUT_GON'),
          Message.getMessage('DON_VI_TIEN_DONG_RUT_GON')
        ];
      } else {
        _tienDonVi = [
          Message.getMessage('DON_VI_TIEN_TRIEU_TY'),
          Message.getMessage('DON_VI_TIEN_NGIN_TY'),
          Message.getMessage('DON_VI_TIEN_TY'),
          Message.getMessage('DON_VI_TIEN_TRIEU'),
          Message.getMessage('DON_VI_TIEN_NGIN'),
          Message.getMessage('DON_VI_TIEN_DONG')
        ];
      }
    }

    return _tienDonVi;
  }
}
